/*===========================================
			Gini Index Files
============================================*/

quiet cret li
cd "`c(cmd)'"

cd "..\Data"


import excel using gini_vlong, sheet("Arkusz1") first 

cd "..\do_files"

destring Gini, replace
ren Gini gini
ren Year year

ren Countrycode3 c_code
drop if c_code == "SUN" |c_code =="CSK"


scatter gini year , by(c_code)
bys c_code: gen aux = 1 if _n==1
gen c_n = sum(aux)
drop aux

levelsof c_code, local(cc)

foreach i in `cc'{
local j = `j' +1
label define countries `j' "`i'", add

}
label val c_n countries

gen h_q = Quality == "High"
gen m_q = Quality == "Average"
gen l_q	= Quality == "Low"



gen net = 0
replace net =1 if	Wel == "Disposable Income" | Wel =="Earnings. Net" | ///
					Wel =="Income.Disposable" | Wel =="Monetary Income. Disposable"
gen consumpt = 0
replace consumpt = 1 if Wel =="Consumption" | Wel =="Income/Consumption"
* Gross income is the reference category


gen hh =0
replace hh=1 if IncSharU=="Household"

bys Source: gen aux = 1 if _n==1
gen sources = sum(aux)
drop aux

tabstat sources, by(Source)

gen eurostat = 	sources==11| sources ==12

gen cso		 =	sources==3 | (sources>5 & sources<11) | (sources>12 & sources<16) | ///
				sources==22| (sources>23 & sources<27)
				
gen transmon =	sources>26 & sources<32				

gen world	 =	sources>32 

gen oecd	 =	sources==20	

* Reference is individual papers and LIS
				
label var h_q 		"High quality data"
label var m_q 		"Average quality data"
label var l_q 		"Low quality data"
label var net 		"Net income used in calculations"
label var consumpt 	"Consumption used in calculations"
label var hh 		"Income shared at household level"
label var eurostat	"Data taken from Eurostat"
label var cso		"Data taken from country statistical office"
label var world		"Data taken from World Bank"
label var transmon	"Data taken from Transmonee"
label var oecd		"Data taken from OECD"

drop if c_code =="TKM" | c_code == "YUG"

tabstat gini, by(c_code)
tabstat gini, by(year)


foreach var in h_q m_q net consumpt hh eurostat cso transmon world oecd{
di "`var'"
ttest gini , by(`var')
}


reg gini hh net eurostat cso transmon oecd , vce(boot, r(1000))
estimates store meta_gini
predict y_res , residuals
predict y_hat, xb


egen gini2 = mean(y_res) , by(c_code year)

estimates table  meta_gini , b(%9.3f) star(.15 .10 .05) stats(N r2)

cd "..\Data"
save gini_all, replace
label data "Gini index for transition countries, all years and sources"
cd "..\do_files"


collapse (count) n_obs = y_res (mean) gini=y_res, by(c_code year)
cd "..\Data"
save gini_residuals, replace
label data "Gini index for transition countries average of residuals"
cd "..\do_files"



