/*===========================================
			Online appendix
===========================================*/

use meta_reall, clear

*********************
* 		Table A.1	*
*********************
tab year c_n

*********************
* 		Table A.2	*
*********************
table year c_n if year >1988 & sep_hir==0, c(mean jc) format(%8.2f)
table year c_n if year >1988 & sep_hir==0, c(mean jd) format(%8.2f)

*********************
*		Table B.1	*	
*********************
global restrict " year<2001"
global xvars 	"only_pub only_man only_large only_small"
global boots  	"vce(boots, rep(1000))" 	
global x 		"i.c_n  i.year  i.gap"

foreach i in 0 1 {
foreach var in gross net excess {

reg `var' i.gap $xvars if $restrict & sep_hir==`i' , $boots
estimates store `var'_0_`i'

reg `var' i.number i.gap $xvars if $restrict & sep_hir==`i' , $boots
estimates store `var'_res_`i'

reg `var' $x i.number  $xvars if $restrict  & sep_hir==`i'   , $boots
estimates store `var'_1_`i'

foreach j in 0 res 1{
local named`i' `named`i'' `var'_`j'_`i'
}
}
}
global job		`named0'
global worker	`named1'

** Upper panel
estimates table  gross_0_1 gross_res_1 gross_1_1 gross_0_0 gross_res_0 gross_1_0, ///
					keep($xvars ) b(%9.2f) se(%9.2f) stat(N r2)

** Middle Panel
estimates table  net_0_1 net_res_1 net_1_1 net_0_0 net_res_0 net_1_0, ///
					keep($xvars ) b(%9.2f) se(%9.2f) stat(N r2)					
					
** Lower panel
estimates table  excess_0_1 excess_res_1 excess_1_1 excess_0_0 excess_res_0 excess_1_0, ///
					keep($xvars ) b(%9.2f) se(%9.2f) stat(N r2)					

 			
*********************
*		Table D.1	*
*********************
use meta_reall, clear

local all_sect own_1==1 & own_2==1 & own_3==1 & own_4==1 & own_5==1 
local all_ind manufacturing==1 & service ==1 & large==1

collapse (p50) jc jd  (first) c_code if `all_sect' & `all_ind', by(year c_n)
drop if jc==.

merge 1:1 c_code year using flows_lits
drop if _merge!=3

rename jc jc_meta
rename jd jd_meta

rename hire jc_lits
rename sep jd_lits


matrix comp_lits= J(5,4,-99)
local j =0
foreach var in jc jd{
local k = `k' +1
corr `var'_meta `var'_lits  if `var'_m<13*`k'
matrix comp_lits[1,1+2*`j'] = r(rho) 
matrix comp_lits[1,2+2*`j'] = r(rho)/sqrt((1-r(rho)^2)/(r(N)-2))


reg `var'_m `var'_l if  `var'_m<13*`k'
matrix r = r(table)
matrix comp_lits[2,1+2*`j'] = r[1,1]
matrix comp_lits[2,2+2*`j'] = r[3,1]

reg `var'_m `var'_l i.c_n if `var'_m<13*`k'
matrix r = r(table)
matrix comp_lits[3,1+2*`j'] = r[1,1]
matrix comp_lits[3,2+2*`j'] = r[3,1]

reg `var'_m `var'_l i.year if `var'_m<13*`k'  
matrix r = r(table)
matrix comp_lits[4,1+2*`j'] = r[1,1]
matrix comp_lits[4,2+2*`j'] = r[3,1]

reg `var'_m `var'_l i.c_n i.year if `var'_m<13*`k' 
matrix r = r(table)
matrix comp_lits[5,1+2*`j'] = r[1,1]
matrix comp_lits[5,2+2*`j'] = r[3,1]
local ++j
}




matrix rownames comp_lits = Corr OLS_nocontrols OLS_country OLS_year OLS_countyear
matrix colnames comp_lits = JC T-stat   JD T-stat  

mat l comp_lits, format(%9.3f)

	exit
